<template>
  <form @submit="onSubmit" class="add-form">
    <div class="form-control">
      <label>Full Patient Name</label>
      <input type="text" v-model="text" name="text" placeholder="Add Patient" />
    </div>
    <div class="form-control">
      <label>Intake Day & Time</label>
      <input
        type="text"
        v-model="day"
        name="day"
        placeholder="Add Day & Time"
      />
    </div>
    <div class="form-control">
      <label>Admit note</label>
      <textarea
        type="text"
        v-model="admitNote"
        name="admitNote"
        placeholder="Admit Note"
        rows="5"
        cols="54"
      />
    </div>
    <div class="form-control form-control-check">
      <label>Is the new patient a walk-in?</label>
      <input type="checkbox" v-model="isWalkin" name="isWalkin" />
    </div>

    <input type="submit" value="Save New Patient" class="btn btn-block" />
  </form>
</template>

<script>
export default {
  name: 'AddPatient',
  data() {
    return {
      text: '',
      day: this.getToday(),
      isWalkin: false,
    };
  },
  methods: {
    onSubmit(e) {
      e.preventDefault();
      if (!this.text) {
        return;
      }

      const newPatient = {
        id: Math.floor(Math.random() * 100000),
        task: this.text,
        day: this.day,
        isWalkin: this.isWalkin,
      };

      this.$emit('add-patient', newPatient);
      this.$store.commit('addItem', {
        text: this.text,
        day: this.day,
        isWalkin: this.isWalkin,
        admitNote: this.admitNote,
      });

      this.text = '';
      this.day = '';
      this.isWalkin = false;
      this.admitNote = '';
    },
    getToday() {
      const today = new Date();
      const date = today.toLocaleDateString();
      const time = today.toLocaleTimeString();
      return date.concat(' @ ', time);
    },
  },
};
</script>


<style scoped>
.add-form {
  margin-bottom: 40px;
  width: 50%;
}
.form-control {
  margin: 20px 0;
  background: lightblue;
}
.form-control label {
  display: block;
  color: black;
  font-size: 17px;
}
.form-control input {
  width: 100%;
  height: 40px;
  margin: 5px;
  padding: 3px 7px;
  font-size: 17px;
}
.form-control-check {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.form-control-check label {
  flex: 1;
}
.form-control-check input {
  flex: 2;
  height: 20px;
}
</style>
